=head1 NAME

Gtk2::Fixed - wrapper for GtkFixed

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Fixed



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable



=cut


=head1 METHODS

=head2 widget = Gtk2::Fixed-E<gt>B<new> 

=head2 boolean = $fixed-E<gt>B<get_has_window> 

=head2 $fixed-E<gt>B<set_has_window> ($has_window)

=over

=item * $has_window (boolean) 

=back

=head2 $fixed-E<gt>B<move> ($widget, $x, $y)

=over

=item * $widget (Gtk2::Widget) 

=item * $x (integer) 

=item * $y (integer) 

=back

=head2 $fixed-E<gt>B<put> ($widget, $x, $y)

=over

=item * $widget (Gtk2::Widget) 

=item * $x (integer) 

=item * $y (integer) 

=back



=cut


=head1 CHILD PROPERTIES

=over

=item 'x' (integer : default 0 : readable / writable / private / static-nick / static-blurb)

X position of child widget

=item 'y' (integer : default 0 : readable / writable / private / static-nick / static-blurb)

Y position of child widget

=back



=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

